import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class TpaSearchPage extends BasePage {
    readonly page: Page;
    readonly firstLocationButton: Locator;
    issPageValue = 'tpa-search';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.firstLocationButton = page.locator('div.button-content').first();
    }
    
    async selectFirstLocation() {
        await this.firstLocationButton.click();
    }
}